Skip to main content
POST
/
organization
/
{organizationId}
/
webhook
Create an organization webhook
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "STANDARD",
  "target_url": "<string>",
  "events": [
    "DEPLOYMENT_STARTED"
  ],
  "target_secret": "<string>",
  "description": "<string>",
  "enabled": true,
  "project_names_filter": [
    "<string>"
  ],
  "environment_types_filter": [
    "PRODUCTION"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "kind": "STANDARD",
  "target_url": "<string>",
  "target_secret_set": true,
  "description": "<string>",
  "enabled": true,
  "events": [
    "DEPLOYMENT_STARTED"
  ],
  "project_names_filter": [
    "<string>"
  ],
  "environment_types_filter": [
    "PRODUCTION"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
kind
enum<string>
required

Define the type of the webhook. SLACK is a special webhook type to push notifications directly to slack. The target_url must be a Slack compatible endpoint.

Available options:
STANDARD,
SLACK
Example:

"STANDARD"

target_url
string
required

Set the public HTTP or HTTPS endpoint that will receive the specified events. The target URL must starts with http:// or https://

events
enum<string>[]
required

Events to subscribe to and send to the target_url.

  • DEPLOYMENT_STARTED send an event when a deployment is started and going to be executed
  • DEPLOYMENT_CANCELLED send an event when a deployment is cancelled
  • DEPLOYMENT_FAILURE send an event when a deployment failed
  • DEPLOYMENT_SUCCESSFUL send an event when a deployment is successful
Available options:
DEPLOYMENT_STARTED,
DEPLOYMENT_CANCELLED,
DEPLOYMENT_FAILURE,
DEPLOYMENT_SUCCESSFUL
target_secret
string

Make sure you receive a payload to sign the Qovery request with your secret. Qovery will add a HTTP header Qovery-Signature: <Your Secret> to every webhook requests sent to your target URL.

description
string
enabled
boolean

Turn on or off your endpoint.

project_names_filter
string[]

Specify the project names you want to filter to. This webhook will be triggered only if the event is coming from the specified Project IDs. Notes: 1. Wildcard is accepted E.g. product*. 2. Name is case insensitive.

environment_types_filter
enum<string>[]

Specify the environment modes you want to filter to. This webhook will be triggered only if the event is coming from an environment with the specified mode.

Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING

Response

Organization webhook created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
read-only
kind
enum<string>

Define the type of the webhook. SLACK is a special webhook type to push notifications directly to slack. The target_url must be a Slack compatible endpoint.

Available options:
STANDARD,
SLACK
Example:

"STANDARD"

target_url
string

Set the public HTTP or HTTPS endpoint that will receive the specified events. The target URL must starts with http:// or https://

target_secret_set
boolean
description
string
enabled
boolean

Turn on or off your endpoint.

events
enum<string>[]

Events to subscribe to and send to the target_url.

  • DEPLOYMENT_STARTED send an event when a deployment is started and going to be executed
  • DEPLOYMENT_CANCELLED send an event when a deployment is cancelled
  • DEPLOYMENT_FAILURE send an event when a deployment failed
  • DEPLOYMENT_SUCCESSFUL send an event when a deployment is successful
Available options:
DEPLOYMENT_STARTED,
DEPLOYMENT_CANCELLED,
DEPLOYMENT_FAILURE,
DEPLOYMENT_SUCCESSFUL
project_names_filter
string[]

Specify the project names you want to filter to. This webhook will be triggered only if the event is coming from the specified Project IDs. Notes: 1. Wildcard is accepted E.g. product*. 2. Name is case insensitive.

environment_types_filter
enum<string>[]

Specify the environment modes you want to filter to. This webhook will be triggered only if the event is coming from an environment with the specified mode.

Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING